## org.apache.mahout.cf.taste.impl.recommender
Class PreferredItemsNeighborhoodCandidateItemsStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.PreferredItemsNeighborhoodCandidateItemsStrategy

All Implemented Interfaces:
  CandidateItemsStrategy

    public final class PreferredItemsNeighborhoodCandidateItemsStrategy

extends java.lang.Object
implements CandidateItemsStrategy

returns all items that have not been rated by the user and that were preferred by another user that has preferred at least one item that the current user has preferred too

Constructor Summary
`PreferredItemsNeighborhoodCandidateItemsStrategy()`

Method Summary
`FastIDSet` `getCandidateItems(long userID, DataModel dataModel)` #return IDs of all items that could be recommended to the user

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferredItemsNeighborhoodCandidateItemsStrategy

    public PreferredItemsNeighborhoodCandidateItemsStrategy()

Method Detail

### getCandidateItems

    public FastIDSet getCandidateItems(long userID,
                                       DataModel dataModel)
                                throws TasteException

  Description copied from interface: `CandidateItemsStrategy`
  #return IDs of all items that could be recommended to the user

  Specified by:
    `getCandidateItems` in interface `CandidateItemsStrategy`
  Throws:
    `TasteException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.